Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.events
Class TaskEventSupport

    java.lang.Object
      org.drools.core.event.AbstractEventSupport<TaskLifeCycleEventListener>
          org.jbpm.services.task.events.TaskEventSupport

All Implemented Interfaces:
  Externalizable, Serializable

    public class TaskEventSupport

extends org.drools.core.event.AbstractEventSupport<TaskLifeCycleEventListener>

See Also:
  Serialized Form

Constructor Summary
`TaskEventSupport()`

Method Summary
`void` | `fireAfterTaskActivated(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireAfterTaskAdded(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireAfterTaskClaimed(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireAfterTaskCompleted(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireAfterTaskDelegated(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireAfterTaskExited(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireAfterTaskFailed(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireAfterTaskForwarded(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireAfterTaskNominated(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireAfterTaskReleased(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireAfterTaskResumed(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireAfterTaskSkipped(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireAfterTaskStarted(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireAfterTaskStopped(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireAfterTaskSuspended(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireAfterTaskUpdated(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireBeforeTaskActivated(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireBeforeTaskAdded(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireBeforeTaskClaimed(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireBeforeTaskCompleted(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireBeforeTaskDelegated(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireBeforeTaskExited(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireBeforeTaskFailed(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireBeforeTaskForwarded(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireBeforeTaskNominated(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireBeforeTaskReleased(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireBeforeTaskResumed(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireBeforeTaskSkipped(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireBeforeTaskStarted(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireBeforeTaskStopped(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireBeforeTaskSuspended(Task task, org.kie.internal.task.api.TaskContext context)`
`void` | `fireBeforeTaskUpdated(Task task, org.kie.internal.task.api.TaskContext context)`

Methods inherited from class org.drools.core.event.AbstractEventSupport
`addEventListener, clear, getEventListeners, getEventListenersIterator, isEmpty, readExternal, removeEventListener, removeEventListener, size, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskEventSupport

    public TaskEventSupport()

Method Detail

### fireBeforeTaskActivated

    public void fireBeforeTaskActivated(Task task,
                                        org.kie.internal.task.api.TaskContext context)

### fireBeforeTaskClaimed

    public void fireBeforeTaskClaimed(Task task,
                                      org.kie.internal.task.api.TaskContext context)

### fireBeforeTaskSkipped

    public void fireBeforeTaskSkipped(Task task,
                                      org.kie.internal.task.api.TaskContext context)

### fireBeforeTaskStarted

    public void fireBeforeTaskStarted(Task task,
                                      org.kie.internal.task.api.TaskContext context)

### fireBeforeTaskStopped

    public void fireBeforeTaskStopped(Task task,
                                      org.kie.internal.task.api.TaskContext context)

### fireBeforeTaskCompleted

    public void fireBeforeTaskCompleted(Task task,
                                        org.kie.internal.task.api.TaskContext context)

### fireBeforeTaskFailed

    public void fireBeforeTaskFailed(Task task,
                                     org.kie.internal.task.api.TaskContext context)

### fireBeforeTaskAdded

    public void fireBeforeTaskAdded(Task task,
                                    org.kie.internal.task.api.TaskContext context)

### fireBeforeTaskExited

    public void fireBeforeTaskExited(Task task,
                                     org.kie.internal.task.api.TaskContext context)

### fireBeforeTaskReleased

    public void fireBeforeTaskReleased(Task task,
                                       org.kie.internal.task.api.TaskContext context)

### fireBeforeTaskResumed

    public void fireBeforeTaskResumed(Task task,
                                      org.kie.internal.task.api.TaskContext context)

### fireBeforeTaskSuspended

    public void fireBeforeTaskSuspended(Task task,
                                        org.kie.internal.task.api.TaskContext context)

### fireBeforeTaskForwarded

    public void fireBeforeTaskForwarded(Task task,
                                        org.kie.internal.task.api.TaskContext context)

### fireBeforeTaskDelegated

    public void fireBeforeTaskDelegated(Task task,
                                        org.kie.internal.task.api.TaskContext context)

### fireBeforeTaskNominated

    public void fireBeforeTaskNominated(Task task,
                                        org.kie.internal.task.api.TaskContext context)

### fireBeforeTaskUpdated

    public void fireBeforeTaskUpdated(Task task,
                                      org.kie.internal.task.api.TaskContext context)

### fireAfterTaskActivated

    public void fireAfterTaskActivated(Task task,
                                       org.kie.internal.task.api.TaskContext context)

### fireAfterTaskClaimed

    public void fireAfterTaskClaimed(Task task,
                                     org.kie.internal.task.api.TaskContext context)

### fireAfterTaskSkipped

    public void fireAfterTaskSkipped(Task task,
                                     org.kie.internal.task.api.TaskContext context)

### fireAfterTaskStarted

    public void fireAfterTaskStarted(Task task,
                                     org.kie.internal.task.api.TaskContext context)

### fireAfterTaskStopped

    public void fireAfterTaskStopped(Task task,
                                     org.kie.internal.task.api.TaskContext context)

### fireAfterTaskCompleted

    public void fireAfterTaskCompleted(Task task,
                                       org.kie.internal.task.api.TaskContext context)

### fireAfterTaskFailed

    public void fireAfterTaskFailed(Task task,
                                    org.kie.internal.task.api.TaskContext context)

### fireAfterTaskAdded

    public void fireAfterTaskAdded(Task task,
                                   org.kie.internal.task.api.TaskContext context)

### fireAfterTaskExited

    public void fireAfterTaskExited(Task task,
                                    org.kie.internal.task.api.TaskContext context)

### fireAfterTaskReleased

    public void fireAfterTaskReleased(Task task,
                                      org.kie.internal.task.api.TaskContext context)

### fireAfterTaskResumed

    public void fireAfterTaskResumed(Task task,
                                     org.kie.internal.task.api.TaskContext context)

### fireAfterTaskSuspended

    public void fireAfterTaskSuspended(Task task,
                                       org.kie.internal.task.api.TaskContext context)

### fireAfterTaskForwarded

    public void fireAfterTaskForwarded(Task task,
                                       org.kie.internal.task.api.TaskContext context)

### fireAfterTaskDelegated

    public void fireAfterTaskDelegated(Task task,
                                       org.kie.internal.task.api.TaskContext context)

### fireAfterTaskNominated

    public void fireAfterTaskNominated(Task task,
                                       org.kie.internal.task.api.TaskContext context)

### fireAfterTaskUpdated

    public void fireAfterTaskUpdated(Task task,
                                     org.kie.internal.task.api.TaskContext context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.